Bug 415403 - kmail2 5.13.1 (19.12.1) with QtWebEngine 5.14.1 - segfault in KMReaderWin::KMReaderWin on startup
Summary: kmail2 5.13.1 (19.12.1) with QtWebEngine 5.14.1 - segfault in KMReaderWin::KM...
Status: REPORTED
Alias: None
Product: kmail2
Classification: Applications
Component: general (show other bugs)
Version: 5.13.1
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-20 16:29 UTC by Dennis Schridde
Modified: 2021-02-12 21:07 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
gdb full backtrace (24.69 KB, text/x-log)
2019-12-20 16:29 UTC, Dennis Schridde
Details
console log (stdout / stderr) (5.55 KB, application/x-xz)
2019-12-20 16:29 UTC, Dennis Schridde
Details
gdb full backtrace, kmail 5.13.1 (19.12.1), qtwebengine 5.14.1 (25.99 KB, text/plain)
2020-01-29 19:18 UTC, Dennis Schridde
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Schridde 2019-12-20 16:29:01 UTC
Created attachment 124619 [details]
gdb full backtrace

SUMMARY

KMail crashes on startup.


STEPS TO REPRODUCE

1. Run kmail


OBSERVED RESULT

Observe segfault


EXPECTED RESULT

See main window


SOFTWARE/OS VERSIONS

Operating System: Gentoo Linux 
KDE Plasma Version: 5.17.4
KDE Frameworks Version: 5.65.0
Qt Version: 5.14.0
Kernel Version: 5.4.5-gentoo
OS Type: 64-bit
Processors: 8 × AMD Ryzen 5 2400G with Radeon Vega Graphics
Memory: 13,5 GiB of RAM


ADDITIONAL INFORMATION

#0  0x00007fffede665d0 in base::Value::FindPath(base::BasicStringPiece<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > >) const () at /lib64/libQt5WebEngineCore.so.5
#1  0x00007fffede66852 in base::DictionaryValue::GetString(base::BasicStringPiece<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > >, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >*) const () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007fffeb7c01d1 in extensions::(anonymous namespace)::GenerateId (path=..., manifest=<optimized out>) at ../../3rdparty/chromium/base/strings/char_traits.h:86
#3  0x00007fffeb7c01d1 in extensions::ExtensionSystemQt::Init(bool) (this=0x7fffffffb850, extensions_enabled=<optimized out>) at /var/tmp/portage/dev-qt/qtwebengine-5.14.0/work/qtwebengine-everywhere-src-5.14.0/src/core/extensions/extension_system_qt.cpp:373
#4  0x00007fffeb75bbfd in QtWebEngineCore::ProfileAdapter::ProfileAdapter(QString const&) (this=0x555555c86850, storageName=...) at /var/tmp/portage/dev-qt/qtwebengine-5.14.0/work/qtwebengine-everywhere-src-5.14.0/src/core/profile_adapter.cpp:98
#5  0x00007ffff2d6e8b1 in QWebEngineProfile::QWebEngineProfile(QObject*) (this=0x555555b19460, parent=<optimized out>) at /usr/include/qt5/QtCore/qarraydata.h:257
#6  0x00007ffff531b522 in WebEngineViewer::WebEnginePage::WebEnginePage(QObject*) () at /lib64/libKF5WebEngineViewer.so.5
#7  0x00007ffff57d6b3f in MessageViewer::MailWebEnginePage::MailWebEnginePage(QObject*) () at /lib64/libKF5MessageViewer.so.5
#8  0x00007ffff57d4f66 in MessageViewer::MailWebEngineView::MailWebEngineView(KActionCollection*, QWidget*) () at /lib64/libKF5MessageViewer.so.5
#9  0x00007ffff57761af in  () at /lib64/libKF5MessageViewer.so.5
#10 0x00007ffff5781921 in  () at /lib64/libKF5MessageViewer.so.5
#11 0x00007ffff576c4c2 in MessageViewer::Viewer::Viewer(QWidget*, QWidget*, KActionCollection*) () at /lib64/libKF5MessageViewer.so.5
#12 0x00007ffff7d0d2d3 in KMReaderWin::KMReaderWin(QWidget*, QWidget*, KActionCollection*) (this=0x555555c06610, aParent=<optimized out>, mainWindow=0x5555558ed570, actionCollection=<optimized out>) at /tmp/portage/kde-apps/kmail-19.12.0/work/kmail-19.12.0/src/kmreaderwin.cpp:95
#13 0x00007ffff7d5a7b9 in KMMainWidget::createWidgets() (this=0x5555558ed570) at /tmp/portage/kde-apps/kmail-19.12.0/work/kmail-19.12.0/src/kmmainwidget.cpp:1053
#14 0x00007ffff7d67409 in KMMainWidget::KMMainWidget(QWidget*, KXMLGUIClient*, KActionCollection*, QExplicitlySharedDataPointer<KSharedConfig> const&) (this=0x5555558ed570, parent=<optimized out>, aGUIClient=<optimized out>, actionCollection=0x5555558da8e0, config=...) at /tmp/portage/kde-apps/kmail-19.12.0/work/kmail-19.12.0/src/kmmainwidget.cpp:245
#15 0x00007ffff7d0997b in KMMainWin::KMMainWin(QWidget*) (this=0x5555559ed6d0, __in_chrg=<optimized out>, __vtt_parm=<optimized out>) at /tmp/portage/kde-apps/kmail-19.12.0/work/kmail-19.12.0/src/kmmainwin.cpp:58
#16 0x00007ffff7d21367 in KMKernel::openReader(bool, bool) (this=<optimized out>, onlyCheck=<optimized out>, startInTray=<optimized out>) at /tmp/portage/kde-apps/kmail-19.12.0/work/kmail-19.12.0/src/kmkernel.cpp:554
#17 0x00007ffff7d2635f in KMKernel::action(bool, bool, bool, QString const&, QString const&, QString const&, QString const&, QString const&, QUrl const&, QList<QUrl> const&, QStringList const&, QString const&, QString const&, QString const&) (this=0x7fffffffd2b0, mailto=<optimized out>, check=<optimized out>, startInTray=<optimized out>, to=..., cc=..., bcc=..., subj=..., body=..., messageFile=..., attachURLs=..., customHeaders=..., replyTo=..., inReplyTo=..., identity=...) at /tmp/portage/kde-apps/kmail-19.12.0/work/kmail-19.12.0/src/kmkernel.cpp:1174
#18 0x00007ffff7d27e24 in KMKernel::handleCommandLine(bool, QStringList const&, QString const&) (this=0x7fffffffd2b0, noArgsOpensReader=<optimized out>, args=..., workingDir=...) at /tmp/portage/kde-apps/kmail-19.12.0/work/kmail-19.12.0/src/kmkernel.cpp:464
#19 0x0000555555557b02 in KMailApplication::activate(QStringList const&, QString const&) (this=<optimized out>, workingDir=..., args=...) at /tmp/portage/kde-apps/kmail-19.12.0/work/kmail-19.12.0/src/main.cpp:105
#20 0x0000555555557b02 in KMailApplication::activate(QStringList const&, QString const&) (this=<optimized out>, args=..., workingDir=...) at /tmp/portage/kde-apps/kmail-19.12.0/work/kmail-19.12.0/src/main.cpp:85
#21 0x00005555555577d4 in KMailApplication::delayedInstanceCreation(QStringList const&, QString const&) (workingDir=..., args=..., this=0x7fffffffd290) at /tmp/portage/kde-apps/kmail-19.12.0/work/kmail-19.12.0/src/main.cpp:114
#22 0x00005555555577d4 in KMailApplication::delayedInstanceCreation(QStringList const&, QString const&) (workingDir=..., args=..., this=0x7fffffffd290) at /tmp/portage/kde-apps/kmail-19.12.0/work/kmail-19.12.0/src/main.cpp:111
#23 0x00005555555577d4 in main(int, char**) (argc=<optimized out>, argv=<optimized out>) at /tmp/portage/kde-apps/kmail-19.12.0/work/kmail-19.12.0/src/main.cpp:160


Portage 2.3.82 (python 2.7.13-final-42, default/linux/amd64/17.1/desktop/plasma/systemd, gcc-9.2.0, glibc-2.30-r3, 5.4.5-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-5.4.5-gentoo-x86_64-AMD_Ryzen_5_2400G_with_Radeon_Vega_Graphics-with-gentoo-2.6
KiB Mem:    14134912 total,   1969472 free
KiB Swap:   16776188 total,  16731132 free
Timestamp of repository gentoo: Thu, 19 Dec 2019 14:45:01 +0000
Head commit of repository gentoo: 94389cc4dec59a7708f44c5f8e12e5029fee4785
Head commit of repository flatpak-overlay: 4b49969630089ec1479a1945e440ad5c17c65ba3

Head commit of repository local: b56dc5d394cab16aee9ff7de8f3475be0111071b

sh bash 5.0_p11
ld GNU gold (Gentoo 2.32 p2 2.32.0) 1.16
ccache version 3.7.6 [disabled]
app-shells/bash:          5.0_p11::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.30.1::gentoo
dev-lang/python:          2.7.17::gentoo, 3.5.7::gentoo, 3.6.10::gentoo, 3.7.6::gentoo, 3.8.0::gentoo
dev-util/ccache:          3.7.6::gentoo
dev-util/cmake:           3.16.1::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/sandbox:         2.18::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo
sys-devel/automake:       1.11.6-r3::gentoo, 1.13.4-r2::gentoo, 1.16.1-r2::gentoo
sys-devel/binutils:       2.32-r1::gentoo, 2.33.1::gentoo
sys-devel/gcc:            9.2.0-r2::gentoo
sys-devel/gcc-config:     2.1::gentoo
sys-devel/libtool:        2.4.6-r5::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 5.4::gentoo (virtual/os-headers)
sys-libs/glibc:           2.30-r3::gentoo
Repositories:

gentoo
    location: /var/cache/portage/gentoo
    sync-type: rsync
    sync-uri: rsync://rsync.de.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts: 
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-max-age: 24
    sync-rsync-verify-metamanifest: yes

flatpak-overlay
    location: /var/db/repos/flatpak-overlay
    sync-type: git
    sync-uri: https://github.com/fosero/flatpak-overlay.git
    masters: gentoo

local
    location: /var/cache/portage/local
    sync-type: git
    sync-uri: https://github.com/devurandom/gentoo-overlay.git
    masters: gentoo
    priority: 1000

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="@FREE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-pipe -O2 -march=znver1"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/grs/systems.conf /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.6/conf"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.3/ext-active/ /etc/php/apache2-php7.4/ext-active/ /etc/php/cgi-php7.3/ext-active/ /etc/php/cgi-php7.4/ext-active/ /etc/php/cli-php7.3/ext-active/ /etc/php/cli-php7.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-pipe -O2 -march=znver1"
DISTDIR="/var/cache/portage/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going --nospinner --verbose-conflicts"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs buildsyspkg cgroup compressdebug config-protect-if-modified distlocks ebuild-locks fakeroot fixlafiles ipc-sandbox merge-sync mount-sandbox multilib-strict network-sandbox news parallel-fetch parallel-install pid-sandbox preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.spline.inf.fu-berlin.de/mirrors/gentoo/ http://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/ http://distfiles.gentoo.org"
LANG="en_GB.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu"
MAKEOPTS="-j6 -l4"
PKGDIR="/var/cache/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/tmp"
USE="7z 7zip X a52 aac aacplus aacs acl acpi activities aio alsa amd64 appindicator appstream archive audit avahi ayatana bash-completion bdplus berkdb blake2 bluetooth bluray branding brotli bs2b btrfs bzip2 cairo caps cdda cddb cdio cdr celt chromaprint cjk clang cli clipboard color-management colord conntrack crypt cups cxx d3d9 dav1d dbus declarative device-mapper dirac djvu dri drm dts dvb dvd dvdr ed25519 editorconfig egl elf emboss encode epub exif fam faudio fax fbcon ffmpeg fftw filecaps firefox firewalld fish-completion fits flac fontconfig fontforge fortran fribidi gamepad gbm gdal gdbm geoclue geolocation gif git gmp gnupg google googledrive gpg gps graphicsmagick gstreamer gtk gtk3 gzip harfbuzz hdf5 heif http2 ibus iconv icu idn imlib inotify introspection ipv6 jemalloc jpeg jpeg2k json kde kipi kms kwallet ladspa latex lcms ldap libatomic libglvnd libidn2 libinput libnotify libproxy libsecret libsoxr libtirpc libvirt lm-sensors lrz lv2 lvm lz4 lzma lzo mad mariadb markdown mbim mercurial mjpeg mng mobi modemmanager modplug mp3 mp4 mpeg mplayer mpris mtp multilib mysql ncurses netlink networkmanager nls nptl office ofx ogg openal opencl opencv openexr opengl openh264 openmax openmp opus pam pango pcap pch pcre pcre2 pdf pgo phonon pixman pkcs7 plasma pm-utils png policykit postscript ppds prison pulseaudio python qml qrcode qt5 raw rdp readline redfish samba sasl scanner schroedinger screencast sctp sdl sdl2 seccomp semantic-desktop share smartcard snappy sparse speech speex spell ssl startup-notification steamruntime stemmer svg systemd systemtap tbb tcpd teamd telepathy tga theora threads thunderbolt tiff timezone tmux truetype tslib udev udisks unicode unwind upnp upnp-av upower usb utempter v4l v4l2 vaapi vdpau vkd3d vorbis vpx vulkan wasm wavpack wayland webchannel webengine webkit webp widgets wmf wps x264 x265 xattr xcb xcomposite xinerama xkb xml xmp xrandr xscreensaver xv xvid xwayland xz yaml zeroconf zeromq zimg zlib zstd" ABI_X86="64" ADA_TARGET="gnat_2018" ALSA_CARDS="hda-intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 f16c fma3 mmx mmxext pclmul popcnt sha sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3" ELIBC="glibc" ENLIGHTENMENT_MODULES="*" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64" INPUT_DEVICES="joystick libinput" KERNEL="linux" L10N="de de-DE en en-GB ar fa tr ja ko zh zh-CN zh-TW" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="nlpsolver scripting-javascript wiki-publisher" LIRC_DEVICES="devinput" LLVM_TARGETS="AMDGPU BPF RISCV WebAssembly" LUA_TARGET="lua5-2" NETBEANS_MODULES="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-2" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6 pypy pypy3" QEMU_SOFTMMU_TARGETS="riscv32 riscv64 x86_64" QEMU_USER_TARGETS="riscv32 riscv64" RUBY_TARGETS="ruby24 ruby25" USERLAND="GNU" VIDEO_CARDS="amdgpu virgl" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

kde-apps/kmail-19.12.0::gentoo was built with the following:
USE="handbook -debug -test" ABI_X86="(64)"
CFLAGS="-pipe -O2 -march=znver1 -g"
CXXFLAGS="-pipe -O2 -march=znver1 -g"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs buildsyspkg cgroup compressdebug config-protect-if-modified distlocks ebuild-locks fakeroot fixlafiles ipc-sandbox merge-sync mount-sandbox multilib-strict network-sandbox news parallel-fetch parallel-install pid-sandbox preserve-libs protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"


dev-qt/qtwebengine-5.14.0::gentoo was built with the following:
USE="alsa pulseaudio system-ffmpeg system-icu widgets -bindist -debug -designer -jumbo-build -pax_kernel -test" ABI_X86="(64)"
CFLAGS="-pipe -O2 -march=znver1 -g"
CXXFLAGS="-pipe -O2 -march=znver1 -g"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs buildsyspkg cgroup compressdebug config-protect-if-modified distlocks ebuild-locks fakeroot fixlafiles ipc-sandbox merge-sync mount-sandbox multilib-strict network-sandbox news parallel-fetch parallel-install pid-sandbox preserve-libs protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
Comment 1 Dennis Schridde 2019-12-20 16:29:35 UTC
Created attachment 124620 [details]
console log (stdout / stderr)
Comment 2 Dennis Schridde 2020-01-27 19:25:38 UTC
The issue persists with KDE Applications 19.12.1.  Here is a backtrace from 2020-01-25:

Process 6729 (kmail) of user 1000 dumped core.

Stack trace of thread 6918:
#0  0x00007f2672f28461 raise (libc.so.6 + 0x3a461)
#1  0x00007f267468c361 _ZN6KCrash19defaultCrashHandlerEi (libKF5Crash.so.5 + 0x5361)
#2  0x00007f2672f28520 __restore_rt (libc.so.6 + 0x3a520)
#3  0x00007f2672f28461 raise (libc.so.6 + 0x3a461)
#4  0x00007f2672f1055b abort (libc.so.6 + 0x2255b)
#5  0x00007f26622bf545 log_assert_failed_realm (libudev.so.1 + 0x6545)
#6  0x00007f26622d0521 safe_close (libudev.so.1 + 0x17521)
#7  0x00007f26622c5181 device_monitor_disconnect (libudev.so.1 + 0xc181)
#8  0x00007f26622c5224 sd_device_monitor_stop (libudev.so.1 + 0xc224)
#9  0x00007f26622c526e sd_device_monitor_detach_event (libudev.so.1 + 0xc26e)
#10 0x00007f26622c52e4 device_monitor_free (libudev.so.1 + 0xc2e4)
#11 0x00007f26622c2090 udev_monitor_free (libudev.so.1 + 0x9090)
#12 0x00007f2668a054b4 _ZN6device11UdevWatcher13StartWatchingEPNS0_8ObserverERKSt6vectorINS0_6FilterESaIS4_EE (libQt5WebEngineCore.so.5 + 0x11104b4)
#13 0x00007f2668b44dde _ZN5media18DeviceMonitorLinux24BlockingTaskRunnerHelper10InitializeEv (libQt5WebEngineCore.so.5 + 0x124fdde)
#14 0x00007f266a94445e _ZN4base13TaskAnnotator7RunTaskEPKcPNS_11PendingTaskE (libQt5WebEngineCore.so.5 + 0x304f45e)
#15 0x00007f266a9b0582 _ZN4base8internal11TaskTracker21RunContinueOnShutdownEPNS0_4TaskE (libQt5WebEngineCore.so.5 + 0x30bb582)
#16 0x00007f266a9b08ce _ZN4base8internal11TaskTracker13RunOrSkipTaskENS0_4TaskEPNS0_10TaskSourceERKNS_10TaskTraitsEb (libQt5WebEngineCore.so.5 + 0x30bb8ce)
#17 0x00007f266a99619d _ZN4base8internal16TaskTrackerPosix13RunOrSkipTaskENS0_4TaskEPNS0_10TaskSourceERKNS_10TaskTraitsEb (libQt5WebEngineCore.so.5 + 0x30a119d)
#18 0x00007f266a9b01a9 _ZN4base8internal11TaskTracker17RunAndPopNextTaskENS0_23DecoratorWithTaskSourceINS0_10TaskSource9RunIntentENS0_20RegisteredTaskSourceEEE (libQt5WebEngineCore.so.5 + 0x30bb1a9)
#19 0x00007f266a9b5ce5 _ZN4base8internal12WorkerThread9RunWorkerEv (libQt5WebEngineCore.so.5 + 0x30c0ce5)
#20 0x00007f266a9b6134 _ZN4base8internal12WorkerThread15RunPooledWorkerEv (libQt5WebEngineCore.so.5 + 0x30c1134)
#21 0x00007f266a996505 _ZN4base12_GLOBAL__N_110ThreadFuncEPv (libQt5WebEngineCore.so.5 + 0x30a1505)
#22 0x00007f267077142a start_thread (libpthread.so.0 + 0x842a)
#23 0x00007f2672ffa3cf __clone (libc.so.6 + 0x10c3cf)

Stack trace of thread 6741:
#0  0x00007f2670778a47 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0 + 0xfa47)
#1  0x00007f265779872b cnd_wait (radeonsi_dri.so + 0x5f672b)
#2  0x00007f2657798337 impl_thrd_routine (radeonsi_dri.so + 0x5f6337)
#3  0x00007f267077142a start_thread (libpthread.so.0 + 0x842a)
#4  0x00007f2672ffa3cf __clone (libc.so.6 + 0x10c3cf)

Stack trace of thread 6737:
#0  0x00007f2670778a47 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0 + 0xfa47)
#1  0x00007f265779872b cnd_wait (radeonsi_dri.so + 0x5f672b)
#2  0x00007f2657798337 impl_thrd_routine (radeonsi_dri.so + 0x5f6337)
#3  0x00007f267077142a start_thread (libpthread.so.0 + 0x842a)
#4  0x00007f2672ffa3cf __clone (libc.so.6 + 0x10c3cf)

Stack trace of thread 6740:
#0  0x00007f2670778a47 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0 + 0xfa47)
#1  0x00007f265779872b cnd_wait (radeonsi_dri.so + 0x5f672b)
#2  0x00007f2657798337 impl_thrd_routine (radeonsi_dri.so + 0x5f6337)
#3  0x00007f267077142a start_thread (libpthread.so.0 + 0x842a)
#4  0x00007f2672ffa3cf __clone (libc.so.6 + 0x10c3cf)

Stack trace of thread 6743:
#0  0x00007f2670778a47 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0 + 0xfa47)
#1  0x00007f265779872b cnd_wait (radeonsi_dri.so + 0x5f672b)
#2  0x00007f2657798337 impl_thrd_routine (radeonsi_dri.so + 0x5f6337)
#3  0x00007f267077142a start_thread (libpthread.so.0 + 0x842a)
#4  0x00007f2672ffa3cf __clone (libc.so.6 + 0x10c3cf)

Stack trace of thread 6912:
#0  0x00007f2670778d7d pthread_cond_timedwait@@GLIBC_2.3.2 (libpthread.so.0 + 0xfd7d)
#1  0x00007f266a993a36 _ZN4base17ConditionVariable9TimedWaitERKNS_9TimeDeltaE (libQt5WebEngineCore.so.5 + 0x309ea36)
#2  0x00007f266a9944cb _ZN4base13WaitableEvent14TimedWaitUntilERKNS_9TimeTicksE (libQt5WebEngineCore.so.5 + 0x309f4cb)
#3  0x00007f266a994631 _ZN4base13WaitableEvent9TimedWaitERKNS_9TimeDeltaE (libQt5WebEngineCore.so.5 + 0x309f631)
#4  0x00007f266a9b5762 _ZN4base8internal12WorkerThread8Delegate11WaitForWorkEPNS_13WaitableEventE (libQt5WebEngineCore.so.5 + 0x30c0762)
#5  0x00007f266a9b5e19 _ZN4base8internal12WorkerThread9RunWorkerEv (libQt5WebEngineCore.so.5 + 0x30c0e19)
#6  0x00007f266a9b6134 _ZN4base8internal12WorkerThread15RunPooledWorkerEv (libQt5WebEngineCore.so.5 + 0x30c1134)
#7  0x00007f266a996505 _ZN4base12_GLOBAL__N_110ThreadFuncEPv (libQt5WebEngineCore.so.5 + 0x30a1505)
#8  0x00007f267077142a start_thread (libpthread.so.0 + 0x842a)
#9  0x00007f2672ffa3cf __clone (libc.so.6 + 0x10c3cf)

Stack trace of thread 6731:
#0  0x00007f2670778a47 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0 + 0xfa47)
#1  0x00007f265779872b cnd_wait (radeonsi_dri.so + 0x5f672b)
#2  0x00007f2657798337 impl_thrd_routine (radeonsi_dri.so + 0x5f6337)
#3  0x00007f267077142a start_thread (libpthread.so.0 + 0x842a)
#4  0x00007f2672ffa3cf __clone (libc.so.6 + 0x10c3cf)

Stack trace of thread 6729:
#0  0x00007f2672fe96f8 __read (libc.so.6 + 0xfb6f8)
#1  0x00007f267468aa6e n/a (libKF5Crash.so.5 + 0x3a6e)
#2  0x00007f267468ad6a n/a (libKF5Crash.so.5 + 0x3d6a)
#3  0x00007f267468b1e8 n/a (libKF5Crash.so.5 + 0x41e8)
#4  0x00007f267468bd81 n/a (libKF5Crash.so.5 + 0x4d81)
#5  0x00007f267468c232 _ZN6KCrash19defaultCrashHandlerEi (libKF5Crash.so.5 + 0x5232)
#6  0x00007f2672f28520 __restore_rt (libc.so.6 + 0x3a520)
#7  0x00007f266a9835d0 _ZNK4base5Value8FindPathENS_16BasicStringPieceINSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEEEE (libQt5WebEngineCore.so.5 + 0x308e5d0)
#8  0x00007f26682dd1d1 GenerateId (libQt5WebEngineCore.so.5 + 0x9e81d1)
#9  0x00007f2668278bfd _ZN15QtWebEngineCore14ProfileAdapterC2ERK7QString (libQt5WebEngineCore.so.5 + 0x983bfd)
#10 0x00007f266f88c8b1 _ZN17QWebEngineProfileC2EP7QObject (libQt5WebEngineWidgets.so.5 + 0x2e8b1)
#11 0x00007f2671e49df2 _ZN15WebEngineViewer13WebEnginePageC2EP7QObject (libKF5WebEngineViewer.so.5 + 0x4edf2)
#12 0x00007f267230745f _ZN13MessageViewer17MailWebEnginePageC1EP7QObject (libKF5MessageViewer.so.5 + 0x14a45f)
#13 0x00007f2672305886 _ZN13MessageViewer17MailWebEngineViewC1EP17KActionCollectionP7QWidget (libKF5MessageViewer.so.5 + 0x148886)
#14 0x00007f26722a5bbf n/a (libKF5MessageViewer.so.5 + 0xe8bbf)
#15 0x00007f26722b1521 n/a (libKF5MessageViewer.so.5 + 0xf4521)
#16 0x00007f267229bea2 _ZN13MessageViewer6ViewerC1EP7QWidgetS2_P17KActionCollection (libKF5MessageViewer.so.5 + 0xdeea2)
#17 0x00007f267483f2d3 _ZN11KMReaderWinC2EP7QWidgetS1_P17KActionCollection (libkmailprivate.so.5 + 0xf82d3)
#18 0x00007f267488c7b9 _ZN12KMMainWidget13createWidgetsEv (libkmailprivate.so.5 + 0x1457b9)
#19 0x00007f2674899409 _ZN12KMMainWidgetC2EP7QWidgetP13KXMLGUIClientP17KActionCollectionRK28QExplicitlySharedDataPointerI13KSharedConfigE (libkmailprivate.so.5 + 0x152409)
#20 0x00007f267483b97b _ZN9KMMainWinC1EP7QWidget (libkmailprivate.so.5 + 0xf497b)
#21 0x00007f2674853367 _ZN8KMKernel10openReaderEbb (libkmailprivate.so.5 + 0x10c367)
#22 0x00007f267485835f _ZN8KMKernel6actionEbbbRK7QStringS2_S2_S2_S2_RK4QUrlRK5QListIS3_ERK11QStringListS2_S2_S2_ (libkmailprivate.so.5 + 0x11135f)
#23 0x00007f2674859e24 _ZN8KMKernel17handleCommandLineEbRK11QStringListRK7QString (libkmailprivate.so.5 + 0x112e24)
#24 0x000055f2c7014b02 _ZN16KMailApplication8activateERK11QStringListRK7QString (kmail + 0x3b02)
#25 0x000055f2c70147d4 _ZN16KMailApplication23delayedInstanceCreationERK11QStringListRK7QString (kmail + 0x37d4)
#26 0x00007f2672f11e9b __libc_start_main (libc.so.6 + 0x23e9b)
#27 0x000055f2c70148fa _start (kmail + 0x38fa)

Stack trace of thread 6733:
#0  0x00007f2670778a47 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0 + 0xfa47)
#1  0x00007f265779872b cnd_wait (radeonsi_dri.so + 0x5f672b)
#2  0x00007f2657798337 impl_thrd_routine (radeonsi_dri.so + 0x5f6337)
#3  0x00007f267077142a start_thread (libpthread.so.0 + 0x842a)
#4  0x00007f2672ffa3cf __clone (libc.so.6 + 0x10c3cf)

Stack trace of thread 6732:
#0  0x00007f2670778a47 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0 + 0xfa47)
#1  0x00007f265779872b cnd_wait (radeonsi_dri.so + 0x5f672b)
#2  0x00007f2657798337 impl_thrd_routine (radeonsi_dri.so + 0x5f6337)
#3  0x00007f267077142a start_thread (libpthread.so.0 + 0x842a)
#4  0x00007f2672ffa3cf __clone (libc.so.6 + 0x10c3cf)

Stack trace of thread 6738:
#0  0x00007f2670778a47 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0 + 0xfa47)
#1  0x00007f265779872b cnd_wait (radeonsi_dri.so + 0x5f672b)
#2  0x00007f2657798337 impl_thrd_routine (radeonsi_dri.so + 0x5f6337)
#3  0x00007f267077142a start_thread (libpthread.so.0 + 0x842a)
#4  0x00007f2672ffa3cf __clone (libc.so.6 + 0x10c3cf)

Stack trace of thread 6919:
#0  0x00007f2670778d7d pthread_cond_timedwait@@GLIBC_2.3.2 (libpthread.so.0 + 0xfd7d)
#1  0x00007f266a993a36 _ZN4base17ConditionVariable9TimedWaitERKNS_9TimeDeltaE (libQt5WebEngineCore.so.5 + 0x309ea36)
#2  0x00007f266a9944cb _ZN4base13WaitableEvent14TimedWaitUntilERKNS_9TimeTicksE (libQt5WebEngineCore.so.5 + 0x309f4cb)
#3  0x00007f266a994631 _ZN4base13WaitableEvent9TimedWaitERKNS_9TimeDeltaE (libQt5WebEngineCore.so.5 + 0x309f631)
#4  0x00007f266a9b5762 _ZN4base8internal12WorkerThread8Delegate11WaitForWorkEPNS_13WaitableEventE (libQt5WebEngineCore.so.5 + 0x30c0762)
#5  0x00007f266a9b5c23 _ZN4base8internal12WorkerThread9RunWorkerEv (libQt5WebEngineCore.so.5 + 0x30c0c23)
#6  0x00007f266a9b6134 _ZN4base8internal12WorkerThread15RunPooledWorkerEv (libQt5WebEngineCore.so.5 + 0x30c1134)
#7  0x00007f266a996505 _ZN4base12_GLOBAL__N_110ThreadFuncEPv (libQt5WebEngineCore.so.5 + 0x30a1505)
#8  0x00007f267077142a start_thread (libpthread.so.0 + 0x842a)
#9  0x00007f2672ffa3cf __clone (libc.so.6 + 0x10c3cf)

Stack trace of thread 6913:
#0  0x00007f2672f7e193 malloc (libc.so.6 + 0x90193)
#1  0x00007f26731a5d35 _Znwm (libstdc++.so.6 + 0xdad35)
#2  0x00007f266d32504f _ZN7content24CreateInProcessGpuThreadERKNS_26InProcessChildThreadParamsERKN3gpu14GpuPreferencesE (libQt5WebEngineCore.so.5 + 0x5a3004f)
#3  0x00007f2669fde8e3 _ZN7content14GpuProcessHost4InitEv (libQt5WebEngineCore.so.5 + 0x26e98e3)
#4  0x00007f2669fdec35 _ZN7content14GpuProcessHost3GetENS_14GpuProcessKindEb (libQt5WebEngineCore.so.5 + 0x26e9c35)
#5  0x00007f2669fcccc1 _ZN7content28BrowserGpuChannelHostFactory16EstablishRequest13EstablishOnIOEv (libQt5WebEngineCore.so.5 + 0x26d7cc1)
#6  0x00007f266a94445e _ZN4base13TaskAnnotator7RunTaskEPKcPNS_11PendingTaskE (libQt5WebEngineCore.so.5 + 0x304f45e)
#7  0x00007f266a955509 _ZN4base16sequence_manager8internal35ThreadControllerWithMessagePumpImpl10DoWorkImplEPNS0_7LazyNowEPb (libQt5WebEngineCore.so.5 + 0x3060509)
#8  0x00007f266a955a07 _ZN4base16sequence_manager8internal35ThreadControllerWithMessagePumpImpl10DoSomeWorkEv (libQt5WebEngineCore.so.5 + 0x3060a07)
#9  0x00007f266a99af26 _ZN4base19MessagePumpLibevent3RunEPNS_11MessagePump8DelegateE (libQt5WebEngineCore.so.5 + 0x30a5f26)
#10 0x00007f266a9549ef _ZN4base16sequence_manager8internal35ThreadControllerWithMessagePumpImpl3RunEbNS_9TimeDeltaE (libQt5WebEngineCore.so.5 + 0x305f9ef)
#11 0x00007f266a931f99 _ZN4base7RunLoop14RunWithTimeoutENS_9TimeDeltaE (libQt5WebEngineCore.so.5 + 0x303cf99)
#12 0x00007f2669dd8c74 _ZN7content23BrowserProcessSubThread11IOThreadRunEPN4base7RunLoopE (libQt5WebEngineCore.so.5 + 0x24e3c74)
#13 0x00007f266a9639e8 _ZN4base6Thread10ThreadMainEv (libQt5WebEngineCore.so.5 + 0x306e9e8)
#14 0x00007f266a996505 _ZN4base12_GLOBAL__N_110ThreadFuncEPv (libQt5WebEngineCore.so.5 + 0x30a1505)
#15 0x00007f267077142a start_thread (libpthread.so.0 + 0x842a)
#16 0x00007f2672ffa3cf __clone (libc.so.6 + 0x10c3cf)

Stack trace of thread 6744:
#0  0x00007f2670778a47 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0 + 0xfa47)
#1  0x00007f265779872b cnd_wait (radeonsi_dri.so + 0x5f672b)
#2  0x00007f2657798337 impl_thrd_routine (radeonsi_dri.so + 0x5f6337)
#3  0x00007f267077142a start_thread (libpthread.so.0 + 0x842a)
#4  0x00007f2672ffa3cf __clone (libc.so.6 + 0x10c3cf)

Stack trace of thread 6745:
#0  0x00007f2670778a47 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0 + 0xfa47)
#1  0x00007f265779872b cnd_wait (radeonsi_dri.so + 0x5f672b)
#2  0x00007f2657798337 impl_thrd_routine (radeonsi_dri.so + 0x5f6337)
#3  0x00007f267077142a start_thread (libpthread.so.0 + 0x842a)
#4  0x00007f2672ffa3cf __clone (libc.so.6 + 0x10c3cf)

Stack trace of thread 6730:
#0  0x00007f2672fee0db __poll (libc.so.6 + 0x1000db)
#1  0x00007f266fbf1142 n/a (libxcb.so.1 + 0xc142)
#2  0x00007f266fbf2dea xcb_wait_for_event (libxcb.so.1 + 0xddea)
#3  0x00007f265d4551b8 _ZN14QXcbEventQueue3runEv (libQt5XcbQpa.so.5 + 0x6a1b8)
#4  0x00007f26734229af _ZN14QThreadPrivate5startEPv (libQt5Core.so.5 + 0xcb9af)
#5  0x00007f267077142a start_thread (libpthread.so.0 + 0x842a)
#6  0x00007f2672ffa3cf __clone (libc.so.6 + 0x10c3cf)

Stack trace of thread 6735:
#0  0x00007f2670778a47 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0 + 0xfa47)
#1  0x00007f265779872b cnd_wait (radeonsi_dri.so + 0x5f672b)
#2  0x00007f2657798337 impl_thrd_routine (radeonsi_dri.so + 0x5f6337)
#3  0x00007f267077142a start_thread (libpthread.so.0 + 0x842a)
#4  0x00007f2672ffa3cf __clone (libc.so.6 + 0x10c3cf)

Stack trace of thread 6767:
#0  0x00007f2672fee0db __poll (libc.so.6 + 0x1000db)
#1  0x00007f266fd3916e n/a (libglib-2.0.so.0 + 0x5016e)
#2  0x00007f266fd3928f g_main_context_iteration (libglib-2.0.so.0 + 0x5028f)
#3  0x00007f267362dd90 _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Core.so.5 + 0x2d6d90)
#4  0x00007f26735d666b _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt5Core.so.5 + 0x27f66b)
#5  0x00007f267342194e _ZN7QThread4execEv (libQt5Core.so.5 + 0xca94e)
#6  0x00007f26734229af _ZN14QThreadPrivate5startEPv (libQt5Core.so.5 + 0xcb9af)
#7  0x00007f267077142a start_thread (libpthread.so.0 + 0x842a)
#8  0x00007f2672ffa3cf __clone (libc.so.6 + 0x10c3cf)

Stack trace of thread 6736:
#0  0x00007f2670778a47 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0 + 0xfa47)
#1  0x00007f265779872b cnd_wait (radeonsi_dri.so + 0x5f672b)
#2  0x00007f2657798337 impl_thrd_routine (radeonsi_dri.so + 0x5f6337)
#3  0x00007f267077142a start_thread (libpthread.so.0 + 0x842a)
#4  0x00007f2672ffa3cf __clone (libc.so.6 + 0x10c3cf)

Stack trace of thread 6760:
#0  0x00007f2672fee0db __poll (libc.so.6 + 0x1000db)
#1  0x00007f266fd3916e n/a (libglib-2.0.so.0 + 0x5016e)
#2  0x00007f266fd3928f g_main_context_iteration (libglib-2.0.so.0 + 0x5028f)
#3  0x00007f267362dd90 _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Core.so.5 + 0x2d6d90)
#4  0x00007f26735d666b _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt5Core.so.5 + 0x27f66b)
#5  0x00007f267342194e _ZN7QThread4execEv (libQt5Core.so.5 + 0xca94e)
#6  0x00007f26734229af _ZN14QThreadPrivate5startEPv (libQt5Core.so.5 + 0xcb9af)
#7  0x00007f267077142a start_thread (libpthread.so.0 + 0x842a)
#8  0x00007f2672ffa3cf __clone (libc.so.6 + 0x10c3cf)

Stack trace of thread 6739:
#0  0x00007f2670778a47 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0 + 0xfa47)
#1  0x00007f265779872b cnd_wait (radeonsi_dri.so + 0x5f672b)
#2  0x00007f2657798337 impl_thrd_routine (radeonsi_dri.so + 0x5f6337)
#3  0x00007f267077142a start_thread (libpthread.so.0 + 0x842a)
#4  0x00007f2672ffa3cf __clone (libc.so.6 + 0x10c3cf)

Stack trace of thread 6910:
#0  0x00007f2672fc2eea __waitpid (libc.so.6 + 0xd4eea)
#1  0x00007f266a9927aa _ZNK4base7Process22WaitForExitWithTimeoutENS_9TimeDeltaEPi (libQt5WebEngineCore.so.5 + 0x309d7aa)
#2  0x00007f266a990f40 _ZN4base12_GLOBAL__N_116BackgroundReaper10ThreadMainEv (libQt5WebEngineCore.so.5 + 0x309bf40)
#3  0x00007f266a996505 _ZN4base12_GLOBAL__N_110ThreadFuncEPv (libQt5WebEngineCore.so.5 + 0x30a1505)
#4  0x00007f267077142a start_thread (libpthread.so.0 + 0x842a)
#5  0x00007f2672ffa3cf __clone (libc.so.6 + 0x10c3cf)

Stack trace of thread 6748:
#0  0x00007f2670778a47 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0 + 0xfa47)
#1  0x00007f265779872b cnd_wait (radeonsi_dri.so + 0x5f672b)
#2  0x00007f2657798337 impl_thrd_routine (radeonsi_dri.so + 0x5f6337)
#3  0x00007f267077142a start_thread (libpthread.so.0 + 0x842a)
#4  0x00007f2672ffa3cf __clone (libc.so.6 + 0x10c3cf)

Stack trace of thread 6762:
#0  0x00007f2672fee0db __poll (libc.so.6 + 0x1000db)
#1  0x00007f266fd3916e n/a (libglib-2.0.so.0 + 0x5016e)
#2  0x00007f266fd3928f g_main_context_iteration (libglib-2.0.so.0 + 0x5028f)
#3  0x00007f267362dd90 _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Core.so.5 + 0x2d6d90)
#4  0x00007f26735d666b _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt5Core.so.5 + 0x27f66b)
#5  0x00007f267342194e _ZN7QThread4execEv (libQt5Core.so.5 + 0xca94e)
#6  0x00007f26734229af _ZN14QThreadPrivate5startEPv (libQt5Core.so.5 + 0xcb9af)
#7  0x00007f267077142a start_thread (libpthread.so.0 + 0x842a)
#8  0x00007f2672ffa3cf __clone (libc.so.6 + 0x10c3cf)

Stack trace of thread 6911:
#0  0x00007f2672ffa822 epoll_wait (libc.so.6 + 0x10c822)
#1  0x00007f2663f569d8 n/a (libevent-2.1.so.7 + 0x2c9d8)
#2  0x00007f2663f4c489 event_base_loop (libevent-2.1.so.7 + 0x22489)
#3  0x00007f266a99b02a _ZN4base19MessagePumpLibevent3RunEPNS_11MessagePump8DelegateE (libQt5WebEngineCore.so.5 + 0x30a602a)
#4  0x00007f266a9549ef _ZN4base16sequence_manager8internal35ThreadControllerWithMessagePumpImpl3RunEbNS_9TimeDeltaE (libQt5WebEngineCore.so.5 + 0x305f9ef)
#5  0x00007f266a931f99 _ZN4base7RunLoop14RunWithTimeoutENS_9TimeDeltaE (libQt5WebEngineCore.so.5 + 0x303cf99)
#6  0x00007f266a9ae7f4 _ZN4base8internal13ServiceThread3RunEPNS_7RunLoopE (libQt5WebEngineCore.so.5 + 0x30b97f4)
#7  0x00007f266a9639e8 _ZN4base6Thread10ThreadMainEv (libQt5WebEngineCore.so.5 + 0x306e9e8)
#8  0x00007f266a996505 _ZN4base12_GLOBAL__N_110ThreadFuncEPv (libQt5WebEngineCore.so.5 + 0x30a1505)
#9  0x00007f267077142a start_thread (libpthread.so.0 + 0x842a)
#10 0x00007f2672ffa3cf __clone (libc.so.6 + 0x10c3cf)

Stack trace of thread 6825:
#0  0x00007f2672fe96f8 __read (libc.so.6 + 0xfb6f8)
#1  0x00007f2672f738a2 _IO_file_underflow@@GLIBC_2.2.5 (libc.so.6 + 0x858a2)
#2  0x00007f2672f658e8 __getdelim (libc.so.6 + 0x778e8)
#3  0x00007f26202a5ef9 n/a (libspeechd.so.2 + 0x2ef9)
#4  0x00007f26202a6108 n/a (libspeechd.so.2 + 0x3108)
#5  0x00007f267077142a start_thread (libpthread.so.0 + 0x842a)
#6  0x00007f2672ffa3cf __clone (libc.so.6 + 0x10c3cf)

Stack trace of thread 6761:
#0  0x00007f2672fee0db __poll (libc.so.6 + 0x1000db)
#1  0x00007f266fd3916e n/a (libglib-2.0.so.0 + 0x5016e)
#2  0x00007f266fd3928f g_main_context_iteration (libglib-2.0.so.0 + 0x5028f)
#3  0x00007f267362dd90 _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Core.so.5 + 0x2d6d90)
#4  0x00007f26735d666b _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt5Core.so.5 + 0x27f66b)
#5  0x00007f267342194e _ZN7QThread4execEv (libQt5Core.so.5 + 0xca94e)
#6  0x00007f26734229af _ZN14QThreadPrivate5startEPv (libQt5Core.so.5 + 0xcb9af)
#7  0x00007f267077142a start_thread (libpthread.so.0 + 0x842a)
#8  0x00007f2672ffa3cf __clone (libc.so.6 + 0x10c3cf)

Stack trace of thread 6916:
#0  0x00007f266af9fa20 _ZN3net8internal30IsLoopbackOrUnspecifiedAddressEPK8sockaddr (libQt5WebEngineCore.so.5 + 0x36aaa20)
#1  0x00007f266ae0f29d _ZN3net8internal19AddressTrackerLinux27UpdateCurrentConnectionTypeEv (libQt5WebEngineCore.so.5 + 0x351a29d)
#2  0x00007f266ae0feb0 _ZN3net8internal19AddressTrackerLinux12ReadMessagesEPbS2_S2_ (libQt5WebEngineCore.so.5 + 0x351aeb0)
#3  0x00007f266ae101b7 _ZN3net8internal19AddressTrackerLinux4InitEv (libQt5WebEngineCore.so.5 + 0x351b1b7)
#4  0x00007f266ae1d891 _ZN3net26NetworkChangeNotifierLinux21BlockingThreadObjects4InitEv (libQt5WebEngineCore.so.5 + 0x3528891)
#5  0x00007f266a94445e _ZN4base13TaskAnnotator7RunTaskEPKcPNS_11PendingTaskE (libQt5WebEngineCore.so.5 + 0x304f45e)
#6  0x00007f266a9b05b2 _ZN4base8internal11TaskTracker17RunSkipOnShutdownEPNS0_4TaskE (libQt5WebEngineCore.so.5 + 0x30bb5b2)
#7  0x00007f266a9b08ce _ZN4base8internal11TaskTracker13RunOrSkipTaskENS0_4TaskEPNS0_10TaskSourceERKNS_10TaskTraitsEb (libQt5WebEngineCore.so.5 + 0x30bb8ce)
#8  0x00007f266a99619d _ZN4base8internal16TaskTrackerPosix13RunOrSkipTaskENS0_4TaskEPNS0_10TaskSourceERKNS_10TaskTraitsEb (libQt5WebEngineCore.so.5 + 0x30a119d)
#9  0x00007f266a9b01a9 _ZN4base8internal11TaskTracker17RunAndPopNextTaskENS0_23DecoratorWithTaskSourceINS0_10TaskSource9RunIntentENS0_20RegisteredTaskSourceEEE (libQt5WebEngineCore.so.5 + 0x30bb1a9)
#10 0x00007f266a9b5ce5 _ZN4base8internal12WorkerThread9RunWorkerEv (libQt5WebEngineCore.so.5 + 0x30c0ce5)
#11 0x00007f266a9b6134 _ZN4base8internal12WorkerThread15RunPooledWorkerEv (libQt5WebEngineCore.so.5 + 0x30c1134)
#12 0x00007f266a996505 _ZN4base12_GLOBAL__N_110ThreadFuncEPv (libQt5WebEngineCore.so.5 + 0x30a1505)
#13 0x00007f267077142a start_thread (libpthread.so.0 + 0x842a)
#14 0x00007f2672ffa3cf __clone (libc.so.6 + 0x10c3cf)

Stack trace of thread 6915:
#0  0x00007f2670778d7d pthread_cond_timedwait@@GLIBC_2.3.2 (libpthread.so.0 + 0xfd7d)
#1  0x00007f266a993a36 _ZN4base17ConditionVariable9TimedWaitERKNS_9TimeDeltaE (libQt5WebEngineCore.so.5 + 0x309ea36)
#2  0x00007f266a9944cb _ZN4base13WaitableEvent14TimedWaitUntilERKNS_9TimeTicksE (libQt5WebEngineCore.so.5 + 0x309f4cb)
#3  0x00007f266a994631 _ZN4base13WaitableEvent9TimedWaitERKNS_9TimeDeltaE (libQt5WebEngineCore.so.5 + 0x309f631)
#4  0x00007f266a9b5762 _ZN4base8internal12WorkerThread8Delegate11WaitForWorkEPNS_13WaitableEventE (libQt5WebEngineCore.so.5 + 0x30c0762)
#5  0x00007f266a9b5e19 _ZN4base8internal12WorkerThread9RunWorkerEv (libQt5WebEngineCore.so.5 + 0x30c0e19)
#6  0x00007f266a9b6134 _ZN4base8internal12WorkerThread15RunPooledWorkerEv (libQt5WebEngineCore.so.5 + 0x30c1134)
#7  0x00007f266a996505 _ZN4base12_GLOBAL__N_110ThreadFuncEPv (libQt5WebEngineCore.so.5 + 0x30a1505)
#8  0x00007f267077142a start_thread (libpthread.so.0 + 0x842a)
#9  0x00007f2672ffa3cf __clone (libc.so.6 + 0x10c3cf)

Stack trace of thread 6734:
#0  0x00007f2670778a47 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0 + 0xfa47)
#1  0x00007f265779872b cnd_wait (radeonsi_dri.so + 0x5f672b)
#2  0x00007f2657798337 impl_thrd_routine (radeonsi_dri.so + 0x5f6337)
#3  0x00007f267077142a start_thread (libpthread.so.0 + 0x842a)
#4  0x00007f2672ffa3cf __clone (libc.so.6 + 0x10c3cf)

Stack trace of thread 6921:
#0  0x00007f2670778a47 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0 + 0xfa47)
#1  0x00007f266a99393c _ZN4base17ConditionVariable4WaitEv (libQt5WebEngineCore.so.5 + 0x309e93c)
#2  0x00007f266b5924b8 _ZN2cc27SingleThreadTaskGraphRunner3RunEv (libQt5WebEngineCore.so.5 + 0x3c9d4b8)
#3  0x00007f266a996505 _ZN4base12_GLOBAL__N_110ThreadFuncEPv (libQt5WebEngineCore.so.5 + 0x30a1505)
#4  0x00007f267077142a start_thread (libpthread.so.0 + 0x842a)
#5  0x00007f2672ffa3cf __clone (libc.so.6 + 0x10c3cf)

Stack trace of thread 6917:
#0  0x00007f2672ff0d0f __select (libc.so.6 + 0x102d0f)
#1  0x00007f266a90a0a4 _ZN4base12_GLOBAL__N_127InotifyReaderThreadDelegate10ThreadMainEv.part.0 (libQt5WebEngineCore.so.5 + 0x30150a4)
#2  0x00007f266a90a4fc _ZN4base12_GLOBAL__N_127InotifyReaderThreadDelegate10ThreadMainEv (libQt5WebEngineCore.so.5 + 0x30154fc)
#3  0x00007f266a996505 _ZN4base12_GLOBAL__N_110ThreadFuncEPv (libQt5WebEngineCore.so.5 + 0x30a1505)
#4  0x00007f267077142a start_thread (libpthread.so.0 + 0x842a)
#5  0x00007f2672ffa3cf __clone (libc.so.6 + 0x10c3cf)

Stack trace of thread 6742:
#0  0x00007f2670778a47 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0 + 0xfa47)
#1  0x00007f265779872b cnd_wait (radeonsi_dri.so + 0x5f672b)
#2  0x00007f2657798337 impl_thrd_routine (radeonsi_dri.so + 0x5f6337)
#3  0x00007f267077142a start_thread (libpthread.so.0 + 0x842a)
#4  0x00007f2672ffa3cf __clone (libc.so.6 + 0x10c3cf)

Stack trace of thread 6920:
#0  0x00007f2670778d7d pthread_cond_timedwait@@GLIBC_2.3.2 (libpthread.so.0 + 0xfd7d)
#1  0x00007f266a993a36 _ZN4base17ConditionVariable9TimedWaitERKNS_9TimeDeltaE (libQt5WebEngineCore.so.5 + 0x309ea36)
#2  0x00007f266a9944cb _ZN4base13WaitableEvent14TimedWaitUntilERKNS_9TimeTicksE (libQt5WebEngineCore.so.5 + 0x309f4cb)
#3  0x00007f266a994631 _ZN4base13WaitableEvent9TimedWaitERKNS_9TimeDeltaE (libQt5WebEngineCore.so.5 + 0x309f631)
#4  0x00007f266a9b5762 _ZN4base8internal12WorkerThread8Delegate11WaitForWorkEPNS_13WaitableEventE (libQt5WebEngineCore.so.5 + 0x30c0762)
#5  0x00007f266a9b5e19 _ZN4base8internal12WorkerThread9RunWorkerEv (libQt5WebEngineCore.so.5 + 0x30c0e19)
#6  0x00007f266a9b6134 _ZN4base8internal12WorkerThread15RunPooledWorkerEv (libQt5WebEngineCore.so.5 + 0x30c1134)
#7  0x00007f266a996505 _ZN4base12_GLOBAL__N_110ThreadFuncEPv (libQt5WebEngineCore.so.5 + 0x30a1505)
#8  0x00007f267077142a start_thread (libpthread.so.0 + 0x842a)
#9  0x00007f2672ffa3cf __clone (libc.so.6 + 0x10c3cf)

Stack trace of thread 6759:
#0  0x00007f2672fee0db __poll (libc.so.6 + 0x1000db)
#1  0x00007f266fd3916e n/a (libglib-2.0.so.0 + 0x5016e)
#2  0x00007f266fd3928f g_main_context_iteration (libglib-2.0.so.0 + 0x5028f)
#3  0x00007f267362dd90 _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Core.so.5 + 0x2d6d90)
#4  0x00007f26735d666b _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt5Core.so.5 + 0x27f66b)
#5  0x00007f267342194e _ZN7QThread4execEv (libQt5Core.so.5 + 0xca94e)
#6  0x00007f2672aed0a7 _ZN22QDBusConnectionManager3runEv (libQt5DBus.so.5 + 0x160a7)
#7  0x00007f26734229af _ZN14QThreadPrivate5startEPv (libQt5Core.so.5 + 0xcb9af)
#8  0x00007f267077142a start_thread (libpthread.so.0 + 0x842a)
#9  0x00007f2672ffa3cf __clone (libc.so.6 + 0x10c3cf)

Stack trace of thread 6922:
#0  0x00007f2670778a47 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0 + 0xfa47)
#1  0x00007f266a99393c _ZN4base17ConditionVariable4WaitEv (libQt5WebEngineCore.so.5 + 0x309e93c)
#2  0x00007f266a9944eb _ZN4base13WaitableEvent14TimedWaitUntilERKNS_9TimeTicksE (libQt5WebEngineCore.so.5 + 0x309f4eb)
#3  0x00007f266a9945ef _ZN4base13WaitableEvent4WaitEv (libQt5WebEngineCore.so.5 + 0x309f5ef)
#4  0x00007f266a916b15 _ZN4base18MessagePumpDefault3RunEPNS_11MessagePump8DelegateE (libQt5WebEngineCore.so.5 + 0x3021b15)
#5  0x00007f266a9549ef _ZN4base16sequence_manager8internal35ThreadControllerWithMessagePumpImpl3RunEbNS_9TimeDeltaE (libQt5WebEngineCore.so.5 + 0x305f9ef)
#6  0x00007f266a931f99 _ZN4base7RunLoop14RunWithTimeoutENS_9TimeDeltaE (libQt5WebEngineCore.so.5 + 0x303cf99)
#7  0x00007f266a9638a3 _ZN4base6Thread10ThreadMainEv (libQt5WebEngineCore.so.5 + 0x306e8a3)
#8  0x00007f266a996505 _ZN4base12_GLOBAL__N_110ThreadFuncEPv (libQt5WebEngineCore.so.5 + 0x30a1505)
#9  0x00007f267077142a start_thread (libpthread.so.0 + 0x842a)
#10 0x00007f2672ffa3cf __clone (libc.so.6 + 0x10c3cf)


Portage 2.3.85 (python 3.6.9-final-0, default/linux/amd64/17.1/desktop/plasma/systemd, gcc-9.2.0, glibc-2.30-r3, 5.4.14 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-5.4.14-x86_64-AMD_Ryzen_5_2400G_with_Radeon_Vega_Graphics-with-gentoo-2.6
KiB Mem:    14132664 total,    471364 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Sun, 26 Jan 2020 20:45:01 +0000
Head commit of repository gentoo: 4563b30e623ddcebc6e510bc51fb97af7ce9272e
Head commit of repository flatpak-overlay: c9991ea665dd52e4dc60912027da5a1c736ecd85

Head commit of repository local: 9d7d1585ab48d2ebd84b7c8f64a3e6a7136a1fc5

sh bash 5.0_p11
ld GNU gold (Gentoo 2.32 p2 2.32.0) 1.16
ccache version 3.7.7 [disabled]
app-shells/bash:          5.0_p11::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.30.1::gentoo
dev-lang/python:          2.7.17-r1::gentoo, 3.5.7::gentoo, 3.6.10::gentoo, 3.7.6::gentoo, 3.8.1::gentoo, 3.9.0_alpha2::gentoo
dev-util/ccache:          3.7.7::gentoo
dev-util/cmake:           3.16.3::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/sandbox:         2.18::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo
sys-devel/automake:       1.11.6-r3::gentoo, 1.13.4-r2::gentoo, 1.16.1-r2::gentoo
sys-devel/binutils:       2.32-r1::gentoo, 2.33.1-r1::gentoo
sys-devel/gcc:            9.2.0-r3::gentoo
sys-devel/gcc-config:     2.2.1::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 5.4::gentoo (virtual/os-headers)
sys-libs/glibc:           2.30-r3::gentoo
Repositories:

gentoo
    location: /var/cache/portage/gentoo
    sync-type: rsync
    sync-uri: rsync://rsync.de.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts: 
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-max-age: 24
    sync-rsync-verify-metamanifest: yes

flatpak-overlay
    location: /var/db/repos/flatpak-overlay
    sync-type: git
    sync-uri: https://github.com/fosero/flatpak-overlay.git
    masters: gentoo

local
    location: /var/cache/portage/local
    sync-type: git
    sync-uri: https://github.com/devurandom/gentoo-overlay.git
    masters: gentoo
    priority: 1000

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="@FREE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-pipe -O2 -march=znver1"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/grs/systems.conf /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.6/conf"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.3/ext-active/ /etc/php/apache2-php7.4/ext-active/ /etc/php/cgi-php7.3/ext-active/ /etc/php/cgi-php7.4/ext-active/ /etc/php/cli-php7.3/ext-active/ /etc/php/cli-php7.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-pipe -O2 -march=znver1"
DISTDIR="/var/cache/portage/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going --nospinner --verbose-conflicts"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs buildsyspkg cgroup compressdebug config-protect-if-modified distlocks ebuild-locks fakeroot fixlafiles ipc-sandbox merge-sync mount-sandbox multilib-strict network-sandbox news parallel-fetch parallel-install pid-sandbox preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.spline.inf.fu-berlin.de/mirrors/gentoo/ http://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/ http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu"
MAKEOPTS="-j6 -l4"
PKGDIR="/var/cache/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/tmp"
USE="7z 7zip X a52 aac aacplus aacs acl acpi activities aio alsa amd64 appindicator appstream archive audit avahi ayatana bash-completion bdplus berkdb blake2 bluetooth bluray branding brotli bs2b btrfs bzip2 cairo caps cdda cddb cdio cdr celt chromaprint cjk clang cli clipboard color-management colord conntrack crypt cups cxx d3d9 dav1d dbus declarative device-mapper dirac djvu dri drm dts dvb dvd dvdr ed25519 editorconfig egl elf emboss encode epub evdev exif faudio fax fbcon ffmpeg fftw filecaps firefox firewalld fish-completion fits flac fontconfig fontforge fortran fribidi gamepad gbm gdal gdbm geoclue geolocation gif git gmp gnupg google googledrive gpg gps graphicsmagick gstreamer gtk gtk3 gzip harfbuzz hdf5 heif http2 ibus iconv icu idn imlib inotify introspection ipv6 jemalloc jpeg jpeg2k json kde kipi kms kwallet ladspa latex lcms ldap libatomic libglvnd libidn2 libinput libnotify libproxy libsecret libsoxr libtirpc libvirt lm-sensors lrz lv2 lvm lz4 lzma lzo mad mariadb markdown mbim mercurial mjpeg mng mobi modemmanager modplug mp3 mp4 mpeg mplayer mpris mtp multilib mysql ncurses netlink networkmanager nls nptl office ofx ogg openal opencl opencv openexr opengl openh264 openmax openmp opus pam pango pcap pch pcre pcre2 pdf pgo phonon pixman pkcs7 plasma pm-utils png policykit postscript ppds prison pulseaudio python qml qrcode qt5 raw rdp readline redfish samba sasl scanner schroedinger screencast sctp sdl sdl2 seccomp semantic-desktop share smartcard snappy sparse speech speex spell ssl startup-notification steamruntime stemmer svg systemd systemtap tbb tcpd teamd telepathy tga theora threads thunderbolt tiff timezone tmux truetype tslib udev udisks uinput unicode unwind upnp upnp-av upower usb utempter v4l v4l2 vaapi vdpau vkd3d vorbis vpx vulkan wasm wavpack wayland webchannel webengine webkit webp widgets wmf wps x264 x265 xattr xcb xcomposite xinerama xkb xml xmp xrandr xscreensaver xv xvid xwayland xz yaml zeroconf zeromq zimg zlib zstd" ABI_X86="64" ADA_TARGET="gnat_2018" ALSA_CARDS="hda-intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 f16c fma3 mmx mmxext pclmul popcnt sha sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3" ELIBC="glibc" ENLIGHTENMENT_MODULES="*" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64" INPUT_DEVICES="joystick libinput" KERNEL="linux" L10N="de de-DE en en-GB ar fa tr ja ko zh zh-CN zh-TW" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="nlpsolver scripting-javascript wiki-publisher" LIRC_DEVICES="devinput" LLVM_TARGETS="AMDGPU BPF RISCV WebAssembly" LUA_TARGET="lua5-2" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-2" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6 pypy pypy3" QEMU_SOFTMMU_TARGETS="riscv32 riscv64 x86_64" QEMU_USER_TARGETS="riscv32 riscv64" RUBY_TARGETS="ruby24 ruby25" USERLAND="GNU" VIDEO_CARDS="amdgpu virgl" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

kde-apps/kmail-19.12.1::gentoo was built with the following:
USE="handbook -debug -test" ABI_X86="(64)"
CFLAGS="-pipe -O2 -march=znver1 -g"
CXXFLAGS="-pipe -O2 -march=znver1 -g"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs buildsyspkg cgroup compressdebug config-protect-if-modified distlocks ebuild-locks fakeroot fixlafiles ipc-sandbox merge-sync mount-sandbox multilib-strict network-sandbox news parallel-fetch parallel-install pid-sandbox preserve-libs protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"


dev-qt/qtwebengine-5.14.0::gentoo was built with the following:
USE="alsa pulseaudio system-ffmpeg system-icu widgets -bindist -debug -designer -jumbo-build -pax_kernel -test" ABI_X86="(64)"
Comment 3 Dennis Schridde 2020-01-29 19:18:54 UTC
Created attachment 125528 [details]
gdb full backtrace, kmail 5.13.1 (19.12.1), qtwebengine 5.14.1

Persists with QtWebEngine 5.14.1, too.
Comment 4 Denis Lisov 2020-02-02 08:12:29 UTC
Seeing the same backtrace (also on Gentoo x86_64).
Comment 5 Dennis Schridde 2020-02-04 19:19:14 UTC
(In reply to Dennis Schridde from comment #3)
> Created attachment 125528 [details]
> gdb full backtrace, kmail 5.13.1 (19.12.1), qtwebengine 5.14.1
> 
> Persists with QtWebEngine 5.14.1, too.

I am still using the same versions, but can now start KMail again.  Maybe some dependency had a bug?

Denis Lisov, is the issue resolved on your side, too?
Comment 6 Denis Lisov 2020-02-04 21:40:36 UTC
I'm still seeing the same bug. Looks like the underlying problem is that QtWebEngine uses wrong paths for its resources

Qt WebEngine resources not found at /share/qt5/resources. Trying parent directory...
Qt WebEngine resources not found at /share/qt5. Trying application directory...
Qt WebEngine resources not found at /usr/bin. Trying fallback directory... The application MAY NOT work.

The paths are missing /usr. No idea which package is responsible for the paths, however.
Comment 7 Denis Lisov 2020-02-04 23:39:25 UTC
The bug seems to be caused for me by the new "relocatable Qt" feature in conjunction with the "merged /usr" layout. If the library is installed via /usr/lib64, but loaded via /lib64 symlink (due to the latter coming first in the libraries search path), the QLibraryInfo paths come out incorrect. This causes QtWebEngine to fail to load its resources.

I can work the bug around by running kmail with LD_LIBRARY_PATH=/usr/lib64
Comment 8 Denis Lisov 2021-02-12 21:07:36 UTC
Rechecked and it works for me with the current versions (KMail 20.12.2, Plasma 5.20.5, Frameworks 5.78, Qt 5.15.2, QtWebEngine 5.15.2_p20210205).